Subject: Re: [bug#31102] [PATCH] gnu: wpa-supplicant: Install wpa_gui.

From: Marius Bakke <[email-masked]>
Date: Mon, 23 Apr 2018 20:19:11 +0200

Ludovic Courtès <[email-masked]> writes:

> Hi Marius,
>
> Marius Bakke <[email-masked]> skribis:
>
>> * gnu/packages/admin.scm (wpa-supplicant)[inputs]: Add QTBASE and QTSVG.
>> [native-inputs]: Add IMAGEMAGICK and INKSCAPE.
>> [outputs]: New field.
>> [arguments]: Add phases 'build-wpa-gui' and 'install-wpa-gui'.
>
> The patch LGTM, but I wonder if we should make it a separate package.
>
> Since it uses a separate output, that should be fine *if* you get
> substitutes.  If you don’t, then you end up building Qt.
>
> Since wpa_supplicant is a requirement for most GuixSD configs, that
> could be an issue.
>
> From the patch, it seems that the GUI is well isolated, in a separate
> directory, with a different build system and all.  Do you think it would
> work to make a separate “wpa-supplicant-gui” package?  WDYT?

Yes, that makes sense.  I pushed it as a separate package in
050e5756781cdfed2d790e15c67bc48c9aced131.

I'm now using the GUI to manage all wireless connections along with a
custom WPA Supplicant service that will be submitted in due time.